Skip to main content
Unlisted page
This page is unlisted. Search engines will not index it, and only users having a direct link can access it.

Acoustic

Authentication & Authorization

Credentials

  • Acoustic API uses authentication with an OAuth2 Access Token in the Authorization request header field (which uses the Bearer authentication scheme to transmit the Access Token).

  • Client ID, Client Secret and Refresh Token credentials can be obtained during the setup of the Acoustic application (see DataGrail Help Docs).

  • Publicly exposing your API credentials can allow unauthorized access to the Acoustic API endpoints, and your Acoustic data by a third party. DataGrail stores your API credentials encrypted and protected.

Organization URI

  • Specific POD (domain) is required for building REST API URI: https://{POD_DOMAIN}/rest

  • Your POD can be obtained in Acoustic Settings (see DataGrail Help Docs).

Permissions

GDPR Lookup Keys must be specified within the Acoustic Campaign (see DataGrail Help Docs).

Scopes

No special scopes required and used to connect API with related credentials.

Endpoints Utilized

Get and refresh access token:

  • POST https://{POD}/oauth/token

Limits

  • For access and deletion requests A Database ID must be provided in the path to identify the Database which the data subject will be located in. DataGrail supports 1 active Acoustic API connection per 1 Acoustic Database. Database ID can be obtained via UI (see DataGrail Help Docs).

  • DataGrail processes API responses with HTTP 429 status to interrupt requests, waiting and retrying (using an exponential backoff strategy).

Access

For an access request, DataGrail will take the following actions:

  • Call the GDPR Right of Access API endpoint.

  • Get Access Job Status.

  • Fetch Access Job Results when the access job is successfully completed (“status”: “SUCCESS”).

  • For all objects found, DataGrail will return all available fields. You can edit which objects and fields you want to provide to the Data Subject via our Portal Requests.

Endpoints Utilized

  • POST https://{POD}/rest/databases/{DB_ID}/gdpr_access

  • GET https://{POD}/rest/gdpr_jobs/{JOB_ID}/status

  • GET https://{POD}/rest/gdpr_jobs/{JOB_ID}/response

Deletion

For a deletion request, DataGrail will take the following actions:

Endpoints Utilized

  • POST https://{POD}/rest/databases/{DB_ID}/gdpr_erasure

  • GET https://{POD}/rest/gdpr_jobs/{JOB_ID}/status

  • GET https://{POD}/rest/gdpr_jobs/{JOB_ID}/response

 

Need help?
If you have any questions, please reach out to your dedicated Account Manager or contact us at support@datagrail.io.

Disclaimer: The information contained in this message does not constitute as legal advice. We would advise seeking professional counsel before acting on or interpreting any material.